Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package org.jivesoftware.admin

Class org.jivesoftware.admin.SidebarTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

### css

    String css

### currentcss

    String currentcss

### headercss

    String headercss

### subsidebarTag

    SubSidebarTag subsidebarTag

Class org.jivesoftware.admin.SubnavTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

### css

    String css

### currentcss

    String currentcss

Class org.jivesoftware.admin.SubSidebarTag extends SidebarTag implements Serializable

Serialized Fields

### parent

    SidebarTag parent

### body

    String body

Class org.jivesoftware.admin.TabsTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

### bean

    String bean

### css

    String css

### currentcss

    String currentcss

### justlinks

    Boolean justlinks

Package org.jivesoftware.openfire

Class org.jivesoftware.openfire.ChannelNotFoundException extends RuntimeException implements Serializable

Class org.jivesoftware.openfire.PacketException extends RuntimeException implements Serializable

Class org.jivesoftware.openfire.RemoteConnectionFailedException extends Exception implements Serializable

Class org.jivesoftware.openfire.SessionNotFoundException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.SharedGroupException extends Exception implements Serializable

Package org.jivesoftware.openfire.auth

Class org.jivesoftware.openfire.auth.ConnectionException extends Exception implements Serializable

Class org.jivesoftware.openfire.auth.InternalUnauthenticatedException extends Exception implements Serializable

Class org.jivesoftware.openfire.auth.UnauthenticatedException extends Exception implements Serializable

Class org.jivesoftware.openfire.auth.UnauthorizedException extends Exception implements Serializable

Package org.jivesoftware.openfire.clearspace

Class org.jivesoftware.openfire.clearspace.ConnectionException extends Exception implements Serializable

Serialized Fields

### errorType

    ConnectionException.ErrorType errorType

Package org.jivesoftware.openfire.cluster

Class org.jivesoftware.openfire.cluster.GetBasicStatistics extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.cluster.NodeID extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.component

Class org.jivesoftware.openfire.component.NotifyComponentInfo extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.component.NotifyComponentRegistered extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.component.NotifyComponentUnregistered extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.container

Class org.jivesoftware.openfire.container.GetAdminConsoleInfoTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.container.IsPluginInstalledTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.container.PluginIconServlet extends javax.servlet.http.HttpServlet implements Serializable

Class org.jivesoftware.openfire.container.PluginServlet extends javax.servlet.http.HttpServlet implements Serializable

Package org.jivesoftware.openfire.crowd.jaxb

Class org.jivesoftware.openfire.crowd.jaxb.Group extends Object implements Serializable

Serialized Fields

### name

    String name

### description

    String description

Package org.jivesoftware.openfire.entitycaps

Class org.jivesoftware.openfire.entitycaps.EntityCapabilities extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.filetransfer

Class org.jivesoftware.openfire.filetransfer.FileTransfer extends Object implements Serializable

Serialized Fields

### sessionID

    String sessionID

### initiator

    String initiator

### target

    String target

### fileName

    String fileName

### fileSize

    long fileSize

### mimeType

    String mimeType

### progress

    FileTransferProgress progress

Class org.jivesoftware.openfire.filetransfer.FileTransferRejectedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

### rejectionMessage

    String rejectionMessage

  Text to include in a message that will be sent to the sender of the packet that got rejected. If no text is specified then no message will be sent to the user.

Package org.jivesoftware.openfire.filetransfer.proxy

Class org.jivesoftware.openfire.filetransfer.proxy.DefaultProxyTransfer extends Object implements Serializable

Serialized Fields

### initiator

    String initiator

### inputStream

    InputStream inputStream

### outputStream

    OutputStream outputStream

### target

    String target

### transferDigest

    String transferDigest

### streamID

    String streamID

### future

    Future<V> future

### amountWritten

    long amountWritten

Package org.jivesoftware.openfire.group

Class org.jivesoftware.openfire.group.DefaultGroupPropertyMap extends PersistableMap<K,V> implements Serializable

serialVersionUID: 3128889631577167040L

Serialized Fields

### group

    Group group

Class org.jivesoftware.openfire.group.Group extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.group.GroupAlreadyExistsException extends Exception implements Serializable

Class org.jivesoftware.openfire.group.GroupNotFoundException extends Exception implements Serializable

Package org.jivesoftware.openfire.handler

Class org.jivesoftware.openfire.handler.DirectedPresence extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.http

Class org.jivesoftware.openfire.http.FlashCrossDomainServlet extends javax.servlet.http.HttpServlet implements Serializable

Class org.jivesoftware.openfire.http.HttpBindException extends Exception implements Serializable

Serialized Fields

### error

    BoshBindingError error

Class org.jivesoftware.openfire.http.HttpBindServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### sessionManager

    HttpSessionManager sessionManager

### boshManager

    HttpBindManager boshManager

### localReader

    ThreadLocal<T> localReader

Class org.jivesoftware.openfire.http.HttpConnectionClosedException extends Exception implements Serializable

Class org.jivesoftware.openfire.http.ResourceServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### debug

    boolean debug

### disableCompression

    boolean disableCompression

Package org.jivesoftware.openfire.interceptor

Class org.jivesoftware.openfire.interceptor.PacketRejectedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

### rejectionMessage

    String rejectionMessage

  Text to include in a message that will be sent to the sender of the packet that got rejected. If no text is specified then no message will be sent to the user.

Package org.jivesoftware.openfire.launcher

Class org.jivesoftware.openfire.launcher.DroppableFrame extends JFrame implements Serializable

Serialized Fields

### dragSource

    DragSource dragSource

Class org.jivesoftware.openfire.launcher.DroppableTextPane extends JTextPane implements Serializable

Serialized Fields

### dragSource

    DragSource dragSource

Package org.jivesoftware.openfire.lockout

Class org.jivesoftware.openfire.lockout.LockOutFlag extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.muc

Class org.jivesoftware.openfire.muc.CannotBeInvitedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.ConflictException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.ForbiddenException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.NotAcceptableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.NotAllowedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.RegistrationRequiredException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.RoomLockedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.ServiceUnavailableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Package org.jivesoftware.openfire.muc.cluster

Class org.jivesoftware.openfire.muc.cluster.AddAffiliation extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.AddMember extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.BroadcastMessageRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.BroadcastPresenceRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ChangeNickname extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.DestroyRoomRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.GetNewMemberRoomsRequest extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.GetNumberConnectedUsers extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.MUCRoomTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.MUCServicePropertyClusterEventTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.OccupantAddedEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.OccupantLeftEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomAvailableEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomInfo extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomRemovedEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomUpdatedEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.SeniorMemberServicesRequest extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ServiceAddedEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ServiceInfo extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ServiceRemovedEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ServiceUpdatedEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateHistoryStrategy extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateOccupant extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateOccupantRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdatePresence extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.muc.spi

Class org.jivesoftware.openfire.muc.spi.LocalMUCRoom extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.spi.RemoteMUCRole extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.multiplex

Class org.jivesoftware.openfire.multiplex.UnknownStanzaException extends Exception implements Serializable

Package org.jivesoftware.openfire.nio

Class org.jivesoftware.openfire.nio.XMLNotWellFormedException extends Exception implements Serializable

serialVersionUID: 1L

Package org.jivesoftware.openfire.pep

Class org.jivesoftware.openfire.pep.PEPService extends Object implements Serializable

Serialized Fields

### serviceOwnerJID

    String serviceOwnerJID

  The bare JID that this service is identified by.

### rootCollectionNode

    CollectionNode rootCollectionNode

  Collection node that acts as the root node of the entire node hierarchy.

### nodes

    Map<K,V> nodes

  Nodes managed by this service, table: key nodeID (String); value Node

### router

    PacketRouter router

  The packet router for the server.

### leafDefaultConfiguration

    DefaultNodeConfiguration leafDefaultConfiguration

  Default configuration to use for newly created leaf nodes.

### collectionDefaultConfiguration

    DefaultNodeConfiguration collectionDefaultConfiguration

  Default configuration to use for newly created collection nodes.

### nodeCreationRestricted

    boolean nodeCreationRestricted

  Returns the permission policy for creating nodes. A true value means that not anyone can create a node, only the service admin.

### barePresences

    Map<K,V> barePresences

  Keep a registry of the presence's show value of users that subscribed to a node of the pep service and for which the node only delivers notifications for online users or node subscriptions deliver events based on the user presence show value. Offline users will not have an entry in the map. Note: Key-> bare JID and Value-> Map whose key is full JID of connected resource and value is show value of the last received presence.

### adHocCommandManager

    AdHocCommandManager adHocCommandManager

  Manager that keeps the list of ad-hoc commands and processing command requests.

### entityCapsManager

    EntityCapabilitiesManager entityCapsManager

  Used to handle filtered-notifications.

Package org.jivesoftware.openfire.privacy

Class org.jivesoftware.openfire.privacy.PrivacyList extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.pubsub

Class org.jivesoftware.openfire.pubsub.NotAcceptableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.pubsub.PublishedItem extends Object implements Serializable

serialVersionUID: 7012925993623144574L

Serialized Fields

### publisher

    org.xmpp.packet.JID publisher

  JID of the entity that published the item to the node. This is the full JID of the publisher.

### nodeId

    String nodeId

  The id for the node where the item was published.

### serviceId

    String serviceId

  The id for the service hosting the node for this item

### id

    String id

  ID that uniquely identifies the published item in the node.

### creationDate

    Date creationDate

  The datetime when the items was published.

### payloadXML

    String payloadXML

  XML representation of the payload (for serialization)

Package org.jivesoftware.openfire.pubsub.cluster

Class org.jivesoftware.openfire.pubsub.cluster.AffiliationTask extends NodeTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.CancelSubscriptionTask extends SubscriptionTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.FlushTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.ModifySubscriptionTask extends SubscriptionTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.NewSubscriptionTask extends SubscriptionTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.NodeChangeTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.NodeTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.RefreshNodeTask extends NodeTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.RemoveNodeTask extends NodeTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.pubsub.cluster.SubscriptionTask extends NodeTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.roster

Class org.jivesoftware.openfire.roster.Roster extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.roster.RosterItem extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.sasl

Class org.jivesoftware.openfire.sasl.SaslProvider extends Provider implements Serializable

Class org.jivesoftware.openfire.sasl.VerifyPasswordCallback extends Object implements Serializable

serialVersionUID: -6393402725550707836L

Serialized Fields

### password

    char[] password

### verified

    boolean verified

Package org.jivesoftware.openfire.security

Class org.jivesoftware.openfire.security.AuditWriteOnlyException extends Exception implements Serializable

Class org.jivesoftware.openfire.security.EventNotFoundException extends Exception implements Serializable

Package org.jivesoftware.openfire.server

Class org.jivesoftware.openfire.server.RemoteServerConfiguration extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.session

Class org.jivesoftware.openfire.session.ClientSessionInfo extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.session.GetSessionsCountTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.spi

Class org.jivesoftware.openfire.spi.ClientRoute extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.user

Class org.jivesoftware.openfire.user.User extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.user.UserAlreadyExistsException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.user.UserNotFoundException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Package org.jivesoftware.openfire.webdav

Class org.jivesoftware.openfire.webdav.WebDAVLiteServlet extends javax.servlet.http.HttpServlet implements Serializable

Package org.jivesoftware.util

Class org.jivesoftware.util.AlreadyExistsException extends Exception implements Serializable

Class org.jivesoftware.util.ByteFormat extends Format implements Serializable

Class org.jivesoftware.util.ConcurrentHashSet extends AbstractSet<E> implements Serializable

Serialization Methods

### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

  Reconstitute the `HashSet` instance from a stream (that is, deserialize it).

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.util.FaviconServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### defaultBytes

    byte[] defaultBytes

  Bytes of the default favicon to return when one was not found on a host.

### client

    org.apache.commons.httpclient.HttpClient client

  Pool of HTTP connections to use to get the favicons

### missesCache

    Cache<K,V> missesCache

  Cache the domains that a favicon was not found.

### hitsCache

    Cache<K,V> hitsCache

  Cache the favicons that we've found.

Class org.jivesoftware.util.HTTPConnectionException extends Exception implements Serializable

Serialized Fields

### errorCode

    int errorCode

Class org.jivesoftware.util.InitializationException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.util.InternalServerErrorException extends RuntimeException implements Serializable

Class org.jivesoftware.util.ModificationNotAllowedException extends Exception implements Serializable

Class org.jivesoftware.util.NotFoundException extends Exception implements Serializable

Class org.jivesoftware.util.PersistableMap extends HashMap<K,V> implements Serializable

serialVersionUID: 1L

Class org.jivesoftware.util.PropertyClusterEventTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.util.cache

Class org.jivesoftware.util.cache.CannotCalculateSizeException extends Exception implements Serializable

serialVersionUID: 1754096832201752388L

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV NEXT | FRAMES NO FRAMES

Copyright © 2003-2008 Jive Software.